Subject: Re: bug#19720: 24.4; minor mode's font-lock-add-keywords & auto-mode-alist problem

From: Dmitry Gutov <[email-masked]>
Date: Thu, 29 Jan 2015 13:36:41 +0200

On 01/29/2015 01:11 PM, Joost Kremers wrote:

> I've been trying to figure that out, but haven't gotten very far yet.
> I'm no expert on font-lock and I can't really tell if `markdown-mode'
> does anything out of the ordinary with it.
>
> I'll take this back to gnu.emacs.help and also send the maintainer of
> `markdown-mode' an email. Perhaps he can shed some light on this.

Looks like the problem is that `markdown-reload-extensions', which is 
called from `markdown-mode', not only sets `font-lock-defaults', but 
also calls `font-lock-refresh-defaults'.

This function is also added to `hack-local-variables-hook'.